<?php
/**
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage PSDG_Theme
 * @since 1.0.0
 * @version 1.0.0
 */

get_header(); ?>

<?php
  if ( have_posts() ) : ?>
    <section class="section--blog-hero">

      <div class="text-area">
          <div class="container">
            <div class="entry-header">
              <?php the_archive_title( '<h1 class="entry-title"">', '</h1>' ); ?>
            </div>
            <div class="entry-summary">
              <?php the_archive_description( '<p>', '</p>' ); ?>
            </div>
        </div>
        <!-- /.container -->
      </div>
      <!-- /.text-area -->

      <div class="shape-curve shape-curve--bottom">
        <svg class="curve-down-svg" xmlns="http://www.w3.org/2000/svg" version="1.1" fill="#fafafa" opacity="1" width="100" height="160" viewBox="0 0 4.66666 0.333331" preserveAspectRatio="none"><path class="fil0" d="M-7.87402e-006 0.0148858l0.00234646 0c0.052689,0.0154094 0.554437,0.154539 1.51807,0.166524l0.267925 0c0.0227165,-0.00026378 0.0456102,-0.000582677 0.0687992,-0.001 1.1559,-0.0208465 2.34191,-0.147224 2.79148,-0.165524l0.0180591 0 0 0.166661 -7.87402e-006 0 0 0.151783 -4.66666 0 0 -0.151783 -7.87402e-006 0 0 -0.166661z"/></svg>
      </div>
      <!-- /.shape-curve shape-curve--bottom -->

    </section>
    <!-- /.section-home-hero -->


    <section class="section--blog-posts">
      <div class="container">

        <div class="row row--equal-columns">

          <?php
            // Load posts loop.
            while ( have_posts() ) {
              the_post();
              get_template_part( 'template-parts/content', 'post' );
            }else{
              get_template_part( 'template-parts/content', 'none' );
            }
          ?>

        </div><!-- /.row -->

        <div class="pagination">
          <?php
            global $wp_query;

            $big = 999999999; // need an unlikely integer

            echo esc_html( paginate_links( array(
                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                'format' => '?paged=%#%',
                'prev_text'  => '<img src="'.get_stylesheet_directory_uri().'/images/down-arrow.svg" alt="">',
                'next_text'  => '<img src="'.get_stylesheet_directory_uri().'/images/down-arrow.svg" alt="">',
                'current' => max( 1, get_query_var('paged') ),
                'total' => $wp_query->max_num_pages
            ) ) );
            ?>
        </div>
        <!-- /.pagination -->

      </div>
      <!-- /.container -->
    </section>
    <!-- /.section--blog-posts -->
<?php endif; ?>

<?php get_footer(); ?>
