<?php
/**
 * The main template file.
 *
 * @package ArceGator
 * @version 1.0.0
 */

get_header(); ?>

<?php
if ( is_home() && ! is_paged() ) {

	// Include the featured content template.
	//get_template_part( 'tempalte-parts/parts/part-featured' );
	get_template_part( 'template-parts/content', 'featured-content' );
}
?>

<section class="section--blog-posts">
  	<div class="container">
  		<div class="row clearfix">
  			<div class="col col--8 col--sm-12">
			  	<div class="blog-posts__wrapper">
					<div class="row row--equal-columns">
						<?php if ( have_posts() ) {
							// Load posts loop.
							while ( have_posts() ) {
							  	the_post();
							  	get_template_part( 'template-parts/content', 'post' );
							}
							wp_reset_query();
					  	}else{
					  		get_template_part( 'template-parts/content', 'none' );
					  	} ?>
				  	</div><!-- /.row -->
			  	</div>
				<div class="pagination">
				  	<?php
					global $wp_query;
					$big = 999999999; // need an unlikely integer
					echo esc_url(paginate_links( array(
						'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format' => '?paged=%#%',
						'prev_text'  => '<img src="'.get_stylesheet_directory_uri().'/images/down-arrow.svg" alt="">',
						'next_text'  => '<img src="'.get_stylesheet_directory_uri().'/images/down-arrow.svg" alt="">',
						'current' => max( 1, get_query_var('paged') ),
						'total' => $wp_query->max_num_pages
					)));
					?>
				</div>
				<!-- /.pagination -->
  			</div>
  			<?php get_sidebar(); ?>
  		</div>
  	</div>
 	<!-- /.container -->
</section>
<!-- /.section--blog-posts -->

<?php get_footer(); ?>
