<?php
/**
 * The Template for displaying all single posts.
 *
 * @package ArceGator
 * @version 1.0.0
 */

get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post();?>
 
  <?php get_template_part( 'template-parts/content', 'hero' ); ?>

  <div class="page-wrapper <?php arcegator_hero_class(); ?>">
    <div class="container">

      <section class="section--article-info">
          <div class="row">
            <div class="col col--8 col--sm-12">
              <p>
              Published: <strong><?php the_time('d/m/Y'); ?></strong>
              <span class="sep">&bull;</span>
                <?php
                $categories_list = get_the_category_list( _x( ', ', 'Used between list items, there is a space after the comma.', 'arcegator' ) );
                if ( $categories_list ) {
                    printf( '<span class="screen-reader-text">%1$s </span>%2$s',
                        esc_html_x( 'Categories: ', 'Used before category names.', 'arcegator' ),
                        // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                        $categories_list
                    );
                }
                ?>
              <span class="sep">&bull;</span>
                <?php
                $tags_list = get_the_tag_list('',', ');
                if ( $tags_list ) {
                    printf( '<span class="screen-reader-text">%1$s </span>%2$s',
                        esc_html_x( 'Tags: ', 'Used before category names.', 'arcegator' ),
                        // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                        $tags_list
                    );
                }
                ?>
                <span class="sep">&bull;</span>
                <a href="#comments-wrapper"><?php comments_number('Leave a comment', '1 comment.', '% comments'); ?></a>
              </p>
            </div>
            <!-- /.col col--8 col--sm-12 -->
            <div class="col col--4 col--sm-12">
                <?php
                if ( function_exists( 'sharing_display' ) ) {
                  sharing_display( '', true );
                }

                if ( class_exists( 'Jetpack_Likes' ) ) {
                  $custom_likes = new Jetpack_Likes;
                  echo esc_html($custom_likes->post_likes( '' ));
                }
                ?>
            </div>
            <!-- /.col col--4 col--sm-12 -->
          </div>
          <!-- /.row -->
      </section>
      <!-- /.section--article-info -->

      <section class="section--blow-columns">
        <div class="row row--35">
          <div class="col col--8 col--sm-12">
              
                <?php get_template_part( 'template-parts/content', 'post-single' ); ?>

                <?php
            	// If comments are open or we have at least one comment, load up the comment template.
              	if ( comments_open() || get_comments_number() ) : ?>
					<section class="section--comments" id="comments-wrapper">
                    	<?php comments_template(); ?>
	                </section>
	            <?php endif; ?>

                
          </div>
          <!-- /.col col--8 col--sm-12 -->

            <?php get_sidebar(); ?>

          <!-- /.col col--4 col--sm-12 -->
        </div>
        <!-- /.row -->
      </section>
      <!-- /.section--blow-columns -->

    </div>
    <!-- /.container -->
  </div>
  <!-- /.page-wrapper -->

<?php endwhile; endif; ?>

<?php get_footer(); ?>
