<?php
/**
 * Template part for displaying page content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ArceGator
 * @version 1.0.0
 */

?>
<article class="section--blog-hero section--blog-hero-single <?php arcegator_hero_class(); ?>" <?php arcegator_hero_background_image(); ?>>

  <div class="text-area">
      <div class="container">
        <h1><?php the_title(); ?></h1>
        <div class="entry-content area-text">
			<?php
			the_content();

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'arcegator' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'arcegator' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
			?>
		</div><!-- .entry-content -->
		<?php
		edit_post_link(
			sprintf(
				/* translators: %s: page title */
				esc_html__( 'Edit %s', 'arcegator' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			),
			'<footer class="entry-footer"><span class="edit-link">',
			'</span></footer><!-- .entry-footer -->'
		);
		?>
    </div>
    <!-- /.container -->
  </div>
  <!-- /.text-area -->

  <div class="shape-curve shape-curve--bottom">
    <svg class="curve-down-svg" xmlns="http://www.w3.org/2000/svg" version="1.1" fill="#fafafa" opacity="1" width="100" height="160" viewBox="0 0 4.66666 0.333331" preserveAspectRatio="none"><path class="fil0" d="M-7.87402e-006 0.0148858l0.00234646 0c0.052689,0.0154094 0.554437,0.154539 1.51807,0.166524l0.267925 0c0.0227165,-0.00026378 0.0456102,-0.000582677 0.0687992,-0.001 1.1559,-0.0208465 2.34191,-0.147224 2.79148,-0.165524l0.0180591 0 0 0.166661 -7.87402e-006 0 0 0.151783 -4.66666 0 0 -0.151783 -7.87402e-006 0 0 -0.166661z"/></svg>
  </div>
  <!-- /.shape-curve shape-curve--bottom -->

</article>
<!-- /.section-home-hero -->
