<?php
/**
 * Template part for displaying page content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ArceGator
 * @version 1.0.0
 */

?>
<article id="post-<?php the_ID(); ?>" class="panel-article <?php arcegator_hero_class(); ?>" <?php arcegator_hero_background_image(); ?>>
	<div class="container">
		<header class="entry-header">
			<div class="entry-header-wrapper">
				<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
			</div><!-- .entry-header-wrapper -->
		</header><!-- .entry-header -->

		<div class="entry-content area-text">
			<?php
			the_content();

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'arcegator' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'arcegator' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
			?>
		</div><!-- .entry-content -->

		<?php
		edit_post_link(
			sprintf(
				/* translators: %s: page title */
				esc_html__( 'Edit %s', 'arcegator' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			),
			'<footer class="entry-footer"><span class="edit-link">',
			'</span></footer><!-- .entry-footer -->'
		);
		?>
	</div><!-- .container -->
</article><!-- #post-## -->
